Update sick days record
Updates an existing sick days record.
What can be updated:
- Start and end dates
- Comment/notes
- Attached medical certificate file IDs
To update medical certificates:
- Upload new files via POST /api/public/workspace/upload
- Get file IDs from responses
- Include all file IDs (old and new) in
attachedFilesIdsarray
Note: This endpoint is only available for employee accounts. The system validates that there are no overlapping events for the specified period.
PUT
/account/employee/sick-days/{id}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredRequest body
requiredapplication/jsonattachedFilesIdsstring[]requiredArray of attached file IDs
commentstringComment about the sickness
dateFromstringrequiredSickness start date
dateTostringrequiredSickness end date
Responses
200
successbooleanrequiredOperation success flag
400
Validation errors
errorsobjectShow propertiesHide properties
attachedFilesIdsstring[]dateFromstring[]dateTostring[]globalErrorsstring[]messagestringstatusCodenumber401
Unauthorized - Invalid or missing authentication token
403
Forbidden - Insufficient API scopes or permissions